//
//  main.m
//  CopyAttributeExample
//
//  Created by jassi on 12/22/14.
//  Copyright (c) 2014 Evontech. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Employee.h"

int main(int argc, const char * argv[]) {
    @autoreleasepool {
        
        NSMutableString *name = [NSMutableString stringWithString:@"Hello"];
        
        Employee *e = [Employee new];
        e.name = name;
        
        // Output is 'Hello'
        NSLog(@"e.name = %@", e.name);
        
        // e.name is changed by below code
        [name appendString:@" World"];
        
        // Output is 'Hello World'
        NSLog(@"e.name = %@", e.name);
        
    }
    return 0;
}
